import { Transducer } from "./types";
/**
 * For compatibility with environments where common types aren't iterable.
 */
export declare function getIterator<T>(collection: Iterable<T>): Iterator<T>;
export declare function rangeIterator(startOrEnd: number, end?: number, step?: number): IterableIterator<number>;
export declare function lazyTransduce<TInput, TOutput>(collection: Iterable<TInput>, transform: Transducer<TInput, TOutput>): IterableIterator<TOutput>;
