import { CompletingTransformer, MaybeReduced, QuittingReducer, Transducer } from "./types";
export declare function transduce<TResult, TCompleteResult, TInput, TOutput>(collection: Iterable<TInput>, transform: Transducer<TInput, TOutput>, reducer: CompletingTransformer<TResult, TCompleteResult, TOutput>): TCompleteResult;
export declare function transduce<TResult, TInput, TOutput>(collection: Iterable<TInput>, transform: Transducer<TInput, TOutput>, reducer: QuittingReducer<TResult, TOutput>, initialValue: TResult): TResult;
export declare function reduceWithFunction<TResult, TInput>(collection: Iterable<TInput>, f: QuittingReducer<TResult, TInput>, initialValue: TResult): MaybeReduced<TResult>;
